WinShopAPI docs
ReferenceStock items

List a stock item's movements

Returns the stock movements booked against this stock item, optionally narrowed to the window between `dateFrom` and `dateTo`. Requires `Permissions.StockItems.View`.

GET
/api/stock-items/{stockItemId}/movements

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

stockItemId*integer
Formatint32

Query Parameters

dateFrom?|
Formatdate-time
dateTo?|
Formatdate-time

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/stock-items/0/movements' \  -H 'Authorization: Bearer <access-token>'
[  {    "companyId": 0,    "companyName": "string",    "companyNumber": "string",    "currentQuantity": 0,    "date": "2019-08-24T14:15:22Z",    "documentDate": "2019-08-24T14:15:22Z",    "documentId": 0,    "formNumber": "string",    "internalNumber": 0,    "itemGuid": "string",    "itemId": 0,    "itemNumber": 0,    "price": 0,    "priceIssued": 0,    "priceReceived": 0,    "priceWoVat": 0,    "quantityIssued": 0,    "quantityReceived": 0,    "supplierInvoiceId": 0,    "supplierInvoiceInternalNumber": 0,    "typeId": 0,    "typeName": "string",    "warehousePrice": 0  }]